# ⚡️ Data Forge
## The Ultimate Synthetic Data Generation Framework

A comprehensive toolkit for generating high-quality synthetic datasets tailored for AI researchers and data scientists. Featuring a robust PDF parser and intelligent knowledge localization capabilities, DataForge strengthens your data generation pipeline with custom knowledge integration—providing a better approach to traditional knowledge distillation techniques.

## Features
* Multi-Agent Orchestration: Compose complex synthetic data pipelines with agentic collaboration.
* LLM Powerhouse: Seamless integration with Google Gemini, OpenAI GPT, and more.
* Human-in-the-Loop: Pause, review, and steer data generation interactively—no more black-box outputs!
* Document-Aware Generation: Retrieve the necessary localized knowledge, chunk, and leverage it as context for synthetic data generation.
* Auto-Save & Logging: All outputs and logs are organized, timestamped, and ready for audit.
